Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.ClientConnectionSSOTokenResponse

    public static final class ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>
    implements ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder

Protobuf type `xg.cmdcomp.ClientConnectionSSOTokenResponse`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `addAllCmdcomps​(Iterable<String> values)` | If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `addAllSecondary​(Iterable<? extends ClientWireProtocol.SecondaryInterfaceList> values)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `addCmdcomps​(String value)` | If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `addCmdcompsBytes​(com.google.protobuf.ByteString value)` | If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `addSecondary​(int index, ClientWireProtocol.SecondaryInterfaceList value)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `addSecondary​(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `addSecondary​(ClientWireProtocol.SecondaryInterfaceList value)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `addSecondary​(ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceList.Builder` | `addSecondaryBuilder()` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceList.Builder` | `addSecondaryBuilder​(int index)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse` | `build()` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse` | `buildPartial()` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clear()` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clearCmdcomps()` | If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clearRedirect()` | Redirect = true, means we are telling client to connect elsewhere
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clearRedirectHost()` | `string redirectHost = 3;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clearRedirectPort()` | `fixed32 redirectPort = 4;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clearResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clearSecondary()` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `clone()` |
`String` | `getCmdcomps​(int index)` | If redirect = false, this is a list of all cmdcomps
`com.google.protobuf.ByteString` | `getCmdcompsBytes​(int index)` | If redirect = false, this is a list of all cmdcomps
`int` | `getCmdcompsCount()` | If redirect = false, this is a list of all cmdcomps
`com.google.protobuf.ProtocolStringList` | `getCmdcompsList()` | If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnectionSSOTokenResponse` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`boolean` | `getRedirect()` | Redirect = true, means we are telling client to connect elsewhere
`String` | `getRedirectHost()` | `string redirectHost = 3;`
`com.google.protobuf.ByteString` | `getRedirectHostBytes()` | `string redirectHost = 3;`
`int` | `getRedirectPort()` | `fixed32 redirectPort = 4;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder` | `getResponseBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SecondaryInterfaceList` | `getSecondary​(int index)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceList.Builder` | `getSecondaryBuilder​(int index)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<ClientWireProtocol.SecondaryInterfaceList.Builder>` | `getSecondaryBuilderList()` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`int` | `getSecondaryCount()` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<ClientWireProtocol.SecondaryInterfaceList>` | `getSecondaryList()` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceListOrBuilder` | `getSecondaryOrBuilder​(int index)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder>` | `getSecondaryOrBuilderList()` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `mergeFrom​(ClientWireProtocol.ClientConnectionSSOTokenResponse other)` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `mergeResponse​(ClientWireProtocol.ConfirmationResponse value)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `removeSecondary​(int index)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setCmdcomps​(int index, String value)` | If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setRedirect​(boolean value)` | Redirect = true, means we are telling client to connect elsewhere
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setRedirectHost​(String value)` | `string redirectHost = 3;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setRedirectHostBytes​(com.google.protobuf.ByteString value)` | `string redirectHost = 3;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setRedirectPort​(int value)` | `fixed32 redirectPort = 4;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setResponse​(ClientWireProtocol.ConfirmationResponse value)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setSecondary​(int index, ClientWireProtocol.SecondaryInterfaceList value)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setSecondary​(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)` | `repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### clear

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ClientConnectionSSOTokenResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.ClientConnectionSSOTokenResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ClientConnectionSSOTokenResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### setField

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### clearField

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### clearOneof

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### setRepeatedField

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### addRepeatedField

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder mergeFrom​(ClientWireProtocol.ClientConnectionSSOTokenResponse other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`
Throws:
  `IOException`

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Returns:
  The response.

### setResponse

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### setResponse

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### mergeResponse

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder mergeResponse​(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### clearResponse

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clearResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseBuilder

public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`

### getRedirect

public boolean getRedirect()

    Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Specified by:
  `getRedirect` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Returns:
  The redirect.

### setRedirect

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setRedirect​(boolean value)

    Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Parameters:
  `value` - The redirect to set.
Returns:
  This builder for chaining.

### clearRedirect

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clearRedirect()

    Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Returns:
  This builder for chaining.

### getRedirectHost

public String getRedirectHost()
`string redirectHost = 3;`

Specified by:
  `getRedirectHost` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Returns:
  The redirectHost.

### getRedirectHostBytes

public com.google.protobuf.ByteString getRedirectHostBytes()
`string redirectHost = 3;`

Specified by:
  `getRedirectHostBytes` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Returns:
  The bytes for redirectHost.

### setRedirectHost

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setRedirectHost​(String value)
`string redirectHost = 3;`

Parameters:
  `value` - The redirectHost to set.
Returns:
  This builder for chaining.

### clearRedirectHost

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clearRedirectHost()
`string redirectHost = 3;`

Returns:
  This builder for chaining.

### setRedirectHostBytes

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setRedirectHostBytes​(com.google.protobuf.ByteString value)
`string redirectHost = 3;`

Parameters:
  `value` - The bytes for redirectHost to set.
Returns:
  This builder for chaining.

### getRedirectPort

public int getRedirectPort()
`fixed32 redirectPort = 4;`

Specified by:
  `getRedirectPort` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Returns:
  The redirectPort.

### setRedirectPort

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setRedirectPort​(int value)
`fixed32 redirectPort = 4;`

Parameters:
  `value` - The redirectPort to set.
Returns:
  This builder for chaining.

### clearRedirectPort

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clearRedirectPort()
`fixed32 redirectPort = 4;`

Returns:
  This builder for chaining.

### getCmdcompsList

public com.google.protobuf.ProtocolStringList getCmdcompsList()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Specified by:
  `getCmdcompsList` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Returns:
  A list containing the cmdcomps.

### getCmdcompsCount

public int getCmdcompsCount()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Specified by:
  `getCmdcompsCount` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Returns:
  The count of cmdcomps.

### getCmdcomps

public String getCmdcomps​(int index)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Specified by:
  `getCmdcomps` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The cmdcomps at the given index.

### getCmdcompsBytes

public com.google.protobuf.ByteString getCmdcompsBytes​(int index)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Specified by:
  `getCmdcompsBytes` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the cmdcomps at the given index.

### setCmdcomps

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setCmdcomps​(int index, String value)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `index` - The index to set the value at.
  `value` - The cmdcomps to set.
Returns:
  This builder for chaining.

### addCmdcomps

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder addCmdcomps​(String value)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `value` - The cmdcomps to add.
Returns:
  This builder for chaining.

### addAllCmdcomps

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder addAllCmdcomps​(Iterable<String> values)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `values` - The cmdcomps to add.
Returns:
  This builder for chaining.

### clearCmdcomps

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clearCmdcomps()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Returns:
  This builder for chaining.

### addCmdcompsBytes

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder addCmdcompsBytes​(com.google.protobuf.ByteString value)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `value` - The bytes of the cmdcomps to add.
Returns:
  This builder for chaining.

### getSecondaryList

public List<ClientWireProtocol.SecondaryInterfaceList> getSecondaryList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryList` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`

### getSecondaryCount

public int getSecondaryCount()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryCount` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`

### getSecondary

public ClientWireProtocol.SecondaryInterfaceList getSecondary​(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondary` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`

### setSecondary

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setSecondary​(int index, ClientWireProtocol.SecondaryInterfaceList value)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### setSecondary

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setSecondary​(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder addSecondary​(ClientWireProtocol.SecondaryInterfaceList value)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder addSecondary​(int index, ClientWireProtocol.SecondaryInterfaceList value)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder addSecondary​(ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder addSecondary​(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addAllSecondary

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder addAllSecondary​(Iterable<? extends ClientWireProtocol.SecondaryInterfaceList> values)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### clearSecondary

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder clearSecondary()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### removeSecondary

public ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder removeSecondary​(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryBuilder

public ClientWireProtocol.SecondaryInterfaceList.Builder getSecondaryBuilder​(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryOrBuilder

public ClientWireProtocol.SecondaryInterfaceListOrBuilder getSecondaryOrBuilder​(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryOrBuilder` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`

### getSecondaryOrBuilderList

public List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder> getSecondaryOrBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryOrBuilderList` in interface `ClientWireProtocol.ClientConnectionSSOTokenResponseOrBuilder`

### addSecondaryBuilder

public ClientWireProtocol.SecondaryInterfaceList.Builder addSecondaryBuilder()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondaryBuilder

public ClientWireProtocol.SecondaryInterfaceList.Builder addSecondaryBuilder​(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryBuilderList

public List<ClientWireProtocol.SecondaryInterfaceList.Builder> getSecondaryBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### setUnknownFields

public final ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSOTokenResponse.Builder>`